@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;400;500;600;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@800&display=swap');

* {
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
}

.hero {
    background-image: linear-gradient(0deg, rgb(0 0 0 / 90%), rgb(3 3 3 / 80%)), url(../img/unsplash.jpg);
    height: 100vh;
    background-size: cover;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.hero h1 {
    font-size: 100px;
    font-weight: bold;
    color: #dddddd;
    font-family: 'Montserrat', sans-serif;
    letter-spacing: 5px;
}

.hero .sub-title {
    color: white;
    font-size: 18px;
}

.hero img {
    max-width: 275px;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    margin: auto;
}

.contact {
    position: absolute;
    bottom: 30px;
    right: 0;
    margin: auto;
    left: 0;
    display: flex;
    justify-content: space-between;
    width: 90%;
    background: #ffffff6b;
    padding: 2rem;
    border-radius: 50px;
    box-shadow: 0px 0px 18px 2px #3d3d3d40;
}

.contact span {
    padding: 0 5rem;
    width: 33%;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

.contact .title {
    font-weight: 600;
    font-size: 16px;
}

.contact .info {
    text-decoration: none !important;
    color: black !important;
    font-size: 14px;
}

.contact a.info:hover {
    text-decoration: underline !important;
}

@media only screen and (max-width: 1700px) {
    .contact span {
        padding: 0 2rem;
    }
}
@media only screen and (max-width: 1500px) {
    .contact span {
        padding: 0 0rem;
    }
}
@media only screen and (max-width: 1200px) {
    .contact {
        width: 92%;
    }
    .contact .title {
        font-size: 14px;
    }
    .contact .info {
        font-size: 12px;
    }
}
@media only screen and (max-width: 915px) {
    .contact {
        padding: 1rem;
        width: 75%;
        flex-direction: column;
        align-items: center;
    }
    .contact span {
        flex-direction: column;
        padding: 10px 0;
        width: 100%;
    }
    .hero h1 {
        font-size: 86px;
        margin-top: -165px;
    }
    .contact .title {
        font-size: 16px;
    }
    .contact .info {
        font-size: 14px;
    }
}
@media only screen and (max-width: 675px) {
    .hero h1 {
        font-size: 4rem;
        margin-top: -145px;
    }
    .hero .sub-title {
        font-size: 16px;
    }
    .contact .title {
        font-size: 16px;
    }
    .contact .info {
        font-size: 14px;
    }
}
@media only screen and (max-width: 550px) {
    .hero img {
        max-width: 220px;
    }
    .hero h1 {
        font-size: 3rem;
        margin-top: -115px;
        letter-spacing: 0;
    }
    .hero .sub-title {
        font-size: 14px;
    }
    .contact .title {
        font-size: 16px;
    }
    .contact .info {
        font-size: 14px;
    }
}
@media only screen and (max-width: 450px) {
    .contact {
        padding: .5rem;
    }
    .hero h1 {
        font-size: 2.7rem;
    }
    .hero .sub-title {
        font-size: 14px;
        text-align: center;
        padding: 0 45px;
    }
}
@media only screen and (max-width: 350px) {
    .contact {
        padding: .5rem;
    }
    .hero h1 {
        font-size: 2rem;
    }
    .hero .sub-title {
        font-size: 12px;
    }
    .contact .title {
        font-size: 14px;
    }
    .contact .info {
        font-size: 12px;
    }
}